WordPress」カテゴリーアーカイブ

WordPressに読み込み済みjQueryを使う

テーマ等状態にもよるのだが、結構WordPressにはjQueryが読み込まれている。

既に読み込まれているのだから使おうとして、
jQueryを使い慣れている人は『$』で使おうとするだろうが、
wordpressで使えないことに気づくかと思う。

先程にも書いたがテーマ等状態にもよるから、そもそも無い可能性もなくはない。
その対応方法。
続きを読む

Forbid hiding post

I forbid hiding post!
隠れて投稿を禁止する!というプラグイン。

どうにも完全に停止しない自動保存やリビジョンを極力停止させる方向に持っていき、それでも投稿されようものなら下書き状態にする。
経緯は『WordPressの自動保存をとにかく停止させたい』参照

※注意事項
添付ファイル、改訂履歴・自動保存、プレビューの際に使用される『inherit』を強制的に使えなくします。
改訂履歴・自動保存の機能は停止させています。。
プレビュー用元『inherit』データを作っておきながら、そのプレビューを表示させない状態になります!
メディアの追加は通常通りに可能です。
『添付ファイル』に『inherit』ってどうやって使ってるんだろうね?
続きを読む

Exec-PHPをPHP7で使う

我がご愛用Exec-PHPだけど、もう数年更新していない。
でもPHPは7になってしまった。
当然問題が起きたんですよ!
なので使えるようになるまでの方法を記載しておく。

下記の修正がめんどくさい人用に適用したものをプラグインとして公開しました!
自己責任でお願いします!
Exec-PHP remodel

では以下に修正を記載します!
続きを読む

Exec-PHPで<!–more–>使用対応

WordPressでphp実行するプラグイン『Exec-PHP』使用中にて、一覧表示したとき『<!--more-->』がある記事はPHPが実行されていない対応。
※『Exec-PHP』等wordpress内でPHP実行するものと一緒に使うこと前提。
作成の経緯はこちら『Exec-PHPで<!--more-->があるとphp実行されない問題

※『Exec-PHP remodel』プラグインを使用する場合、このプラグインは不要です。
続きを読む

Exec-PHPで<!–more–>があるとphp実行されない問題

WordPressでphp実行するプラグイン『Exec-PHP』。
一覧表示したとき『<!--more-->』がある記事はPHPが実行されていない。
無ければ一覧でも問題ないんだけど。
どうも原因は『<!--more-->』を変換することにあるらしい。
その対応方法。
続きを読む

wordpress内でCSVを表示

まず記事内でPHPを使えるようにしておく。
当ブログでは『Exec-PHP』を使用。

因みに余談だが、Exec-PHPは記事内でfunctionを作るということは出来ない。(『/feed/』エラー)
別ファイルで作成して、wp-config.phpや記事内で『require_once』して呼び出すなら使える。

なので『今回だけ』または『記事内だけで完結』を求める人向けに配列1個にまとめておいた。
かぶらないとは思うけど、仮に今後wordpress定数と被った場合は配列名を修正するだけで済むしね!

今回はsjis-winのcsvを読む。読んだファイルはコチラ。
excelでファイルを作成したという想定。
utf-8でcsvを作ることはなかなかないけど、その場合はmb_convert_encoding変換が不要。
続きを読む

buttobi.netのwordpressでpathinfo形式モドキ

色々試したり、ググって見た限り、buttobi.netでpathinfoは使えない。

まずmod_rewrite.cが入っていない様子で、下記形式が使えない
http://XXX.jog.buttobi.net/YYY/

これでも普通なら設定次第で
http://XXX.jog.buttobi.net/index.php/YYY/
形式が使えるが、サーバ側設定でそれもできないようにしてある。

なので正規法以外の
あくまでそれっぽい不完全な対応の方法なので、自己責任でどうぞ。

また今回の対応方法は『ページ』と『記事』の判別はなく、『記事』のみということ前提。

※この記事を作成したのはかなり過去。今なら多分いじらない解決法あるよ!
続きを読む

無料サーバー「ぶっとびねっと」にWordPressを使う

無料レンタルサーバは、無料で気軽に使えるのはいいのだが、環境状況が結構な問題だったりする。

今回のbuttobi.netは一定の負荷がかかると
『High load CGI detected.』
と出て処理を停止するようになっているんだが、このボーダーがかなり低い。
インストール・使用共に、このネックになってくる。
公式には使えるって書いてるんだけども…

使うための手順を記載しておく。
※2012年現在の状況。自己責任でどうぞ。
続きを読む